--
-- optional indexes that can speed up some of the proposed views
--

-- this index helps view 'cache_clients'
CREATE INDEX client_ip_idx ON access_log(client_src_ip_addr);

-- this index helps view 'cache_clients_with_infos'
CREATE INDEX client_req_status_idx ON access_log(client_src_ip_addr, squid_request_status);

-- this index helps view 'response_time_ranges'
CREATE INDEX response_time_idx ON access_log(response_time);

-- this index helps view 'requests_status_perc'
CREATE INDEX req_status_idx ON access_log(squid_request_status);

-- this index helps the "last_10_queries_by_client" view
CREATE INDEX client_ip_record_id_idx ON access_log(client_src_ip_addr, id);
